@charset "UTF-8";

.drawer-wrap{
    position: absolute;
    top: 0;
    right: 0;	
}
#drawer-content {
	overflow: auto;
    position: fixed;
    bottom: 0;
    right: 0;
    padding: 16vw 8%;
	box-sizing: border-box;
	z-index: 501;
    width: 100%;		/*開く部分の幅*/
    min-width: 100%;	/*開く部分の幅*/
    height: 100%;
    background: #e9f0f8;	/*開く部分の背景色*/
    transition: all .3s ease 0s;
	translate: 100% 0;
	opacity: 0;
	pointer-events: none;
}
#drawer-checkbox:checked ~ #drawer-content {
	translate: 0 0;
	opacity: 1;
	pointer-events: auto;
}

#drawer-close {
	display: none;
	position: fixed;
	z-index: 39;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #000;
	opacity: 0;
	transition: all 0.6s ease 0s;
}
#drawer-checkbox:checked ~ #drawer-close {
	display: block;
	opacity: 0.3;
}

#drawer-checkbox {
	display: none;
}
#drawer-icon {	
	position: fixed;
	z-index: 504;
	display: block;
	box-sizing: content-box;
	text-align: center;
	outline: 0;
	-webkit-transition: all .6s cubic-bezier(0.190, 1.000, 0.220, 1.000);
	transition: all .6s cubic-bezier(0.190, 1.000, 0.220, 1.000);
	-webkit-transform: translate3d(0, 0, 0);
			transform: translate3d(0, 0, 0);
	cursor: pointer;
}

/*ハンバーガーメニューデザイン*/
.drawer-hamburger {
	top: 1.5em;
	right: 1.5em;
	width: 7.4em;
	height: 4.4em;
	padding-top: 3em;
	color: var(--color-primary-dark);
	font: var(--font-en);
	font-size: 2vw;
	background-color: #FFF;
	border-radius: 50%;
	border: 1px solid #b8c8d1;
}
.drawer-hamburger-icon {
	position: relative;
	left: 0;
	right: 0;
	margin: 0 auto;
	display: block;
}
.drawer-hamburger-icon,
.drawer-hamburger-icon:before,
.drawer-hamburger-icon:after {
	width: 2.6em;
	height: 1px;
	background-color: var(--color-primary-dark);
	transition: all .6s cubic-bezier(0.190, 1.000, 0.220, 1.000);
}
.drawer-hamburger-icon:before,
.drawer-hamburger-icon:after {
	position: absolute;
	top: -0.7em;
	left: 0;
	content: ' ';
}
.drawer-hamburger-icon:after {
	top: .7em;
}
.drawer-hamburger .menu_txt::before {
	position: absolute;
	content: "MENU";
	left: 0;
	right: 0;
	bottom: 1.5em;
	margin: auto;
}

/*メニューが開いた時の処理*/
#drawer-checkbox:checked ~ #drawer-icon .drawer-hamburger-icon {
	background: transparent;
}
#drawer-checkbox:checked ~ #drawer-icon .drawer-hamburger-icon::before,
#drawer-checkbox:checked ~ #drawer-icon .drawer-hamburger-icon::after {
	top: 0;
}
#drawer-checkbox:checked ~ #drawer-icon .drawer-hamburger-icon::before {
    rotate: -45deg;
}
#drawer-checkbox:checked ~ #drawer-icon .drawer-hamburger-icon::after {
    rotate: 45deg;
}
#drawer-checkbox:checked ~ #drawer-icon .menu_txt::before {
	content: "CLOSE";
}